package co.yixiang.yshop.module.express.controller.admin.electronicsorder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 电子面单 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ElectronicsOrderRespVO extends ElectronicsOrderBaseVO {

    @Schema(description = "主键id", required = true, example = "4751")
    private Long id;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

}
