package co.yixiang.yshop.module.infra.api.config;

import co.yixiang.yshop.module.infra.api.config.dto.ConfigDTO;
import co.yixiang.yshop.module.infra.convert.config.ConfigConvert;
import co.yixiang.yshop.module.infra.dal.dataobject.config.ConfigDO;
import co.yixiang.yshop.module.infra.service.config.ConfigService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author pepis
 * @apiNote
 **/
@Service
public class ConfigApiImpl implements ConfigApi {
    @Resource
    private ConfigService configService;

    @Override
    public ConfigDTO getConfigByKey(String key) {
        ConfigDO configDO = configService.getConfigByKey(key);
        return ConfigConvert.INSTANCE.convert2DTO(configDO);
    }
}
