package co.yixiang.yshop.module.cart.service.storecart;

import co.yixiang.yshop.framework.common.pojo.PageResult;
import co.yixiang.yshop.module.cart.controller.admin.storecart.vo.StoreCartPageReqVO;
import co.yixiang.yshop.module.cart.controller.admin.storecart.vo.StoreCartRespVO;

/**
 * 购物车 Service 接口
 *
 * @author yshop
 */
public interface StoreCartService {


    /**
     * 删除购物车
     *
     * @param id 编号
     */
    void deleteStoreCart(Long id);


    /**
     * 获得购物车分页
     *
     * @param pageReqVO 分页查询
     * @return 购物车分页
     */
    PageResult<StoreCartRespVO> getStoreCartPage(StoreCartPageReqVO pageReqVO);


}
