package co.yixiang.yshop.module.distributor.controller.admin.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 分销商 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class DistributorClearanceReqVO {

    @Schema(description = "主键", required = true, example = "463")
    @NotNull(message = "主键不能为空")
    private Long id;


}
