package co.yixiang.yshop.module.distributor.controller.admin.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 分销商更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorUpdateReqVO extends DistributorBaseVO {

    @Schema(description = "主键", required = true, example = "463")
    @NotNull(message = "主键不能为空")
    private Long id;

}
