package co.yixiang.yshop.module.distributor.controller.admin.distributordynamics.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 分销商动态 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class DistributorDynamicsBaseVO {

    @Schema(description = "动态类型", example = "2")
    private Integer type;

    @Schema(description = "分销商ID", example = "27176")
    private Long distributorId;

    @Schema(description = "分销商名称", example = "张三")
    private String distributorName;

    @Schema(description = "内容")
    private String content;

}
