package co.yixiang.yshop.module.distributor.controller.admin.distributorlevel.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 分销商等级 Excel VO
 *
 * @author admin
 */
@Data
public class DistributorLevelExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("等级 1-10")
    private Integer level;

    @ExcelProperty("等级名称")
    private String name;

    @ExcelProperty("一级佣金比例")
    private Integer firstWages;

    @ExcelProperty("二级佣金比例")
    private Integer secondWages;

    @ExcelProperty("三级佣金比例")
    private Integer thirdWages;

    @ExcelProperty("升级类型 0-满足任意 1-满足全部")
    private Integer upType;

    @ExcelProperty("人数 值为-1是未选中")
    private Integer userCount;

    @ExcelProperty("金额 值为-1是未选中")
    private Integer amount;

    @ExcelProperty("佣金 值为-1是未选中")
    private Integer wages;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
