package co.yixiang.yshop.module.distributor.controller.admin.distributororder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 分销商订单更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorOrderUpdateReqVO extends DistributorOrderBaseVO {

    @Schema(description = "主键", required = true, example = "22172")
    @NotNull(message = "主键不能为空")
    private Long id;

}
