package co.yixiang.yshop.module.distributor.controller.admin.distributoruser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 分销商所属用户 Excel VO
 *
 * @author admin
 */
@Data
public class DistributorUserExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("用户ID")
    private Long userId;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @ExcelProperty("所属一级ID")
    private Long superiorIdP1;

    @ExcelProperty("上级名称")
    private String superiorNameP1;

    @ExcelProperty("所属二级ID")
    private Long superiorIdP2;

    @ExcelProperty("上级名称")
    private String superiorNameP2;

    @ExcelProperty("过期时间")
    private LocalDateTime expireTime;

    @ExcelProperty("用户昵称")
    private String nickname;

    @ExcelProperty("用户头像")
    private String avatar;

    @ExcelProperty("商品数")
    private Integer productCount;

    @ExcelProperty("订单数")
    private Integer orderCount;

    @ExcelProperty("佣金数")
    private BigDecimal wages;

}
