package co.yixiang.yshop.module.distributor.controller.admin.distributorwages.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销商佣金 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorWagesRespVO extends DistributorWagesBaseVO {

    @Schema(description = "主键", required = true, example = "9411")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
