package co.yixiang.yshop.module.distributor.controller.admin.distributorwageslog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销商佣金记录 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorWagesLogRespVO extends DistributorWagesLogBaseVO {

    @Schema(description = "主键", required = true, example = "6259")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

    @Schema(description = "支付方式")
    private String paymentMethod;

    @Schema(description = "账号")
    private String accountNum;

    @Schema(description = "真实姓名", example = "张三")
    private String realName;

}
