package co.yixiang.yshop.module.distributor.controller.admin.distributorwithdrawalmethod.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 分销商提现方式 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class DistributorWithdrawalMethodBaseVO {

    @Schema(description = "用户ID", example = "14122")
    private Long userId;

    @Schema(description = "分销商ID", example = "26097")
    private Long distributorId;

    @Schema(description = "支付方式")
    private String paymentMethod;

    @Schema(description = "账号")
    private String accountNum;

    @Schema(description = "真实姓名", example = "张三")
    private String realName;

    @Schema(description = "类型")
    private Integer type;

}
