package co.yixiang.yshop.module.distributor.controller.app.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "分销商 RespVO")
@Data
@ToString(callSuper = true)
public class AppDistributorReqVO {

    @Schema(description = "加入时间")
    private LocalDateTime createTime;

    @Schema(description = "真实姓名")
    private String realName;

    @Schema(description = "商品金额")
    private String productAmount;

    @Schema(description = "订单数")
    private String orderCount;

    @Schema(description = "佣金收益")
    private BigDecimal addUpWages;
}
