package co.yixiang.yshop.module.distributor.controller.app.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "分销商信息修改RespVO")
@Data
@ToString(callSuper = true)
public class AppDistributorUpdateReqVO {

    @Schema(description = "真实姓名", example = "王五")
    private String realName;

    @Schema(description = "地址")
    private String address;

    @Schema(description = "申请原因", example = "不对")
    private String reason;

}
