package co.yixiang.yshop.module.distributor.controller.app.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "我的团队 Resp VO")
@Data
@ToString(callSuper = true)
public class AppDistributorUserRespVO {

    // 头像
    @Schema(description = "用户头像", required = true)
    private String avatar;

    // 昵称
    @Schema(description = "用户昵称", required = true)
    private String nickname;

    // 加入时间
    @Schema(description = "加入时间", required = true)
    private LocalDateTime createTime;

    // 商品数
    @Schema(description = "商品数", required = true)
    private Integer productCount;

    // 订单数
    @Schema(description = "订单数", required = true)
    private Integer orderCount;

    // 佣金数
    @Schema(description = "佣金数")
    private BigDecimal wages;
}
