package co.yixiang.yshop.module.distributor.controller.app.distributorproduct.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "商品 Resp VO")
@Data
@ToString(callSuper = true)
public class AppDistributorProductRespVO {

    @Schema(description = "商品ID")
    private Long id;

    @Schema(description = "商品图片")
    private String image;

    @Schema(description = "商品名")
    private String storeName;

    @Schema(description = "商品金额")
    private BigDecimal price;

    @Schema(description = "预计佣金")
    private BigDecimal expectPrice;

}
