package co.yixiang.yshop.module.distributor.controller.app.distributorwages.vo;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "提现 Request VO")
@Data
@ToString(callSuper = true)
public class AppDistributorWagesWithdrawReqVO {

    @Schema(description = "提现金额")
    private BigDecimal amount;

    @Schema(description = "提现方式ID")
    private Long id;

}

