package co.yixiang.yshop.module.order.api.productorder.dto;

import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Data
@ToString(callSuper = true)
public class ProductOrderDTO {
    /**
     * 订单ID
     */
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 充值状态 0-未支付 1-已支付
     */
    private Integer status;
    /**
     * 金额
     */
    private BigDecimal amount;
}
