package co.yixiang.yshop.module.order.enums;

import co.yixiang.yshop.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    // ========== 订单1008007000==========
    ErrorCode STORE_ORDER_NOT_EXISTS = new ErrorCode(1008007000, "订单不存在");
    ErrorCode STORE_ORDER_CART_INFO_NOT_EXISTS = new ErrorCode(1008007001, "订单购物详情不存在");
    ErrorCode STORE_ORDER_STATUS_NOT_EXISTS = new ErrorCode(1008007002, "订单操作记录不存在");
    ErrorCode STORE_AFTER_SALES_NOT_EXISTS = new ErrorCode(1008007003, "售后记录不存在");
    ErrorCode STORE_AFTER_SALES_ITEM_NOT_EXISTS = new ErrorCode(1008007004, "售后子不存在");
    ErrorCode STORE_AFTER_SALES_STATUS_NOT_EXISTS = new ErrorCode(1008007005, "售后订单操作详情不存在");
    ErrorCode INVALID_PRODUCT = new ErrorCode(1008007005, "有失效的商品请重新提交");
    ErrorCode VALID_PRODUCT_EMPTY = new ErrorCode(1008007005, "请提交购买的商品");
    ErrorCode PARAM_ERROR = new ErrorCode(1008007006, "参数错误");
    ErrorCode ORDER_EXPIRED = new ErrorCode(1008007007, "订单已过期,请刷新当前页面");
    ErrorCode SELECT_ADDRESS = new ErrorCode(1008007008, "请选择收货地址");
    ErrorCode ORDER_GEN_FAIL = new ErrorCode(1008007009, "订单生成失败");
    ErrorCode ORDER_PAY_FINISH = new ErrorCode(1008007010, "该订单已支付");

    ErrorCode USER_NOT_BINDING_WX_APPLET = new ErrorCode(1008007011, "该用户未绑定微信小程序！openid为空！");
    ErrorCode USER_NOT_BINDING_WX = new ErrorCode(1008007011, "该用户未绑定微信手机号无法调起支付");
    ErrorCode PAY_YUE_NOT = new ErrorCode(1008007011, "余额不足");
    ErrorCode ORDER_STATUS_ERROR = new ErrorCode(1008007012, "订单状态错误");
    ErrorCode COMMENT_PRODUCT_NOT_EXISTS = new ErrorCode(1008007013, "评价产品不存在");
    ErrorCode COMMENT_PRODUCT_IN_EXISTS = new ErrorCode(1008007014, "该产品已评价");
    ErrorCode ORDER_NOT_DELETE = new ErrorCode(1008007018, "该订单无法删除");
    ErrorCode ORDER_STATUS_NOT_EXPRESS_ = new ErrorCode(1008007015, "当前状态不能添加物流信息");
    ErrorCode ORDER_REFUND_NOT = new ErrorCode(1008007017, "订单状态不能售后");
    ErrorCode ORDER_NOT_REVOKE = new ErrorCode(1008007016, "订单不能撤销");
    ErrorCode ORDER_NOT_CANCEL = new ErrorCode(1008007018, "订单不能取消");
    ErrorCode ORDER_ADDRESS_REQUERED = new ErrorCode(1008007019, "请输入商家收货人信息");

    ErrorCode ORDER_PAYINFO_ERROR = new ErrorCode(1008007020, "获取订单支付信息异常");
    ErrorCode ORDER_WRITTEN_OFF = new ErrorCode(1008007021, "该订单已核销");
    ErrorCode ORDER_WRITE_OFF_CODE_ERROR = new ErrorCode(1008007022, "核销码错误");
    ErrorCode ORDER_DETAIL_NOT_EXISTS = new ErrorCode(1008007023, "订单明细不存在！");

    ErrorCode ORDER_REFUND_NUMBER_LACK_ERROR = new ErrorCode(1008007024, "可退款商品数量不足！");

    ErrorCode ORDER_REFUND_NOT_STORE_PICKUP = new ErrorCode(1008007025, "自提订单不能售后");

    ErrorCode NO_WRITE_OFF_AUTHORITY = new ErrorCode(1008007026, "无核销权限");
    // ========== 订单电子面单记录 ==========
    ErrorCode STORE_ORDER_ELECTRONICS_NOT_EXISTS = new ErrorCode(1008010000, "订单电子面单记录不存在");

    // ==============支付 ======
    ErrorCode STORE_ORDER_PAY_FEE_ERROR = new ErrorCode(1008011000, "订单金额与支付不一致！");

    ErrorCode STORE_ORDER_REFUND_TRANSACTION_NULL_ERROR = new ErrorCode(1008011001, "订单支付信息有误！退款失败！");

    ErrorCode STORE_ORDER_REFUND_ERROR = new ErrorCode(1008011002, "退款失败！");

    ErrorCode ORDER_QUERY_NO_MERCHANT = new ErrorCode(1008012001, "未查到商户配置信息id=4！");

    ErrorCode RECHARGE_ORDER_NOT_EXISTS = new ErrorCode(1010000001, "充值订单不存在");
    ErrorCode RECHARGE_CONFIG_NOT_EXISTS = new ErrorCode(1010000002, "充值配置不存在");
    ErrorCode RECHARGE_PACKAGE_NOT_EXISTS = new ErrorCode(1010000003, "充值套餐配置不存在");

    ErrorCode RECHARGE_MIN_ERROR = new ErrorCode(1010000004, "小于最小充值金额");
}
