package co.yixiang.yshop.module.order.controller.admin.rechargeconfig.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 充值配置 Excel 导出 Request VO，参数和 RechargeConfigPageReqVO 是一致的")
@Data
public class RechargeConfigExportReqVO {

    @Schema(description = "自定义金额开关 0-关闭 1-开启")
    private Integer customSwitch;

    @Schema(description = "最小金额")
    private Integer customMin;

    @Schema(description = "说明")
    private String content;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
