package co.yixiang.yshop.module.order.controller.admin.rechargeorder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 充值订单 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RechargeOrderRespVO extends RechargeOrderBaseVO {

    @Schema(description = "订单ID", required = true, example = "12534")
    private String id;

    @Schema(description = "昵称", required = true, example = "12534")
    private String nickname;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
