package co.yixiang.yshop.module.order.controller.admin.rechargeorder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 充值订单更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RechargeOrderUpdateReqVO extends RechargeOrderBaseVO {

    @Schema(description = "订单ID", required = true, example = "12534")
    @NotNull(message = "订单ID不能为空")
    private String id;

}
