package co.yixiang.yshop.module.order.controller.admin.rechargepackage.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 充值套餐配置 Excel VO
 *
 * @author admin
 */
@Data
public class RechargePackageExcelVO {

    @ExcelProperty("订单ID")
    private Long id;

    @ExcelProperty("充值金额")
    private Integer rechargeAmount;

    @ExcelProperty("赠送金额")
    private Integer giftAmount;

    @ExcelProperty("状态 0-开启 1-关闭")
    private Integer status;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
