package co.yixiang.yshop.module.order.controller.admin.rechargepackage.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 充值套餐配置 Excel 导出 Request VO，参数和 RechargePackagePageReqVO 是一致的")
@Data
public class RechargePackageExportReqVO {

    @Schema(description = "充值金额")
    private Integer rechargeAmount;

    @Schema(description = "赠送金额")
    private Integer giftAmount;

    @Schema(description = "状态 0-开启 1-关闭", example = "2")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
