package co.yixiang.yshop.module.order.controller.admin.rechargepackage.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 充值套餐配置更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RechargePackageUpdateReqVO extends RechargePackageBaseVO {

    @Schema(description = "订单ID", required = true, example = "23375")
    @NotNull(message = "订单ID不能为空")
    private Long id;

}
