package co.yixiang.yshop.module.order.controller.admin.storeorderdetail.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 订单明细 Excel VO
 *
 * @author moxiangrong
 */
@Data
public class StoreOrderDetailExcelVO {

    @ExcelProperty("订单明细id")
    private Long id;

    @ExcelProperty("订单id")
    private Long oid;

    @ExcelProperty("商品ID")
    private Long productId;

    @ExcelProperty("规格id")
    private Long skuId;

    @ExcelProperty("唯一id")
    private String productAttrUnique;

    @ExcelProperty("原价")
    private BigDecimal originalPrice;

    @ExcelProperty("实际价格")
    private BigDecimal price;

    @Schema(description = "状态：1、正常，2、售后中，3、售后完成")
    private Integer state;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
