package co.yixiang.yshop.module.order.controller.admin.storeorderdetail.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 订单明细 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreOrderDetailRespVO extends StoreOrderDetailBaseVO {

    @Schema(description = "订单明细id", required = true, example = "29901")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
