package co.yixiang.yshop.module.order.controller.admin.storeorderelectronics.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 订单电子面单记录 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreOrderElectronicsRespVO extends StoreOrderElectronicsBaseVO {

    @Schema(description = "主键id", required = true, example = "21777")
    private Long id;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

}
