package co.yixiang.yshop.module.order.controller.app.afterorder.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;


/**
 * 订单退款参数
 *
 * @author moxiangrong
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AppOrderRefundParam {

    /**
     * 售后id
     */
    private Long afterSalesId;

    /**
     * 订单编号
     */
    private String orderId;

    /**
     * 退款金额
     */
    private BigDecimal price;

    /**
     * 商品类型
     */
    private Integer type;

    /**
     * 退回积分
     */
    private BigDecimal refundIntegral;

}
