package co.yixiang.yshop.module.order.controller.app.afterorder.vo;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
@Schema(description = "用户 APP - 售后详情查询参数")
public class AppAfterSalesDetailQueryVo {

    @NotBlank(message = "订单key")
    private String key;

    @NotBlank(message = "退款类型")
    private String refundType;

    @NotBlank(message = "退款商品信息")
    List<AppAfterSalesProductDetailQueryVo> productDetails;


}
