package co.yixiang.yshop.module.order.controller.app.afterorder.vo;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
@Schema(description = "用户 APP - 售后商品详情查询参数")
public class AppAfterSalesProductDetailQueryVo {

    @NotBlank(message = "商品规格")
    private String goods;

    @NotBlank(message = "售后数量")
    private Integer number;


}
