package co.yixiang.yshop.module.order.controller.app.afterorder.vo;

import co.yixiang.yshop.module.product.controller.app.cart.vo.AppStoreCartQueryVo;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author : yshop 2023/6/23 22:40
 */
@Data
public class AppStoreOrderCartInfoVo {

    private Long id;


    /**
     * 订单id
     */
    private Long oid;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 购物车id
     */
    private Long cartId;


    /**
     * 商品ID
     */
    private Long productId;


    /**
     * 购买东西的详细信息
     */
    private AppStoreCartQueryVo cartInfo;


    /**
     * 唯一id
     */
    private String unique;

    /**
     * 是否能售后0不能1能
     */
    private Integer isAfterSales;

    /**
     * 可退價格
     */
    private BigDecimal refundablePrice;

    /**
     * 申请原因
     */
    private String reasons;

    /**
     * 状态 0已提交等待平台审核 1平台已审核 等待用户发货/退款 2 用户已发货 3退款成功
     */
    private Integer state;

    /**
     * 售后状态-0正常1用户取消2商家拒绝
     */
    private Integer salesState;

    /**
     * 优惠金额
     */
    private BigDecimal couponPrice;

    /**
     * 邮费价格
     */
    private BigDecimal postagePrice;

    /**
     * 订单状态
     */
    private Integer status;

    /**
     * 退款积分
     */
    private BigDecimal refundableIntegral;

    /**
     * 总优惠金额
     */
    private BigDecimal totalCouponPrice;
}
