package co.yixiang.yshop.module.order.controller.app.order.vo;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(description = "支付信息参数")
public class PayInfo {


    /**
     * 商户订单号
     */
    String orderId;
    /**
     * 微信交易商户单号
     */
    String out_trade_no;

    /**
     * 微信交易单号
     */
    String transaction_id;

    /**
     * 商户退款单号
     */
    String out_refund_no;

    /**
     * 微信退款单号
     */
    String refund_id;

}
