package co.yixiang.yshop.module.order.dal.dataobject.rechargepackage;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 充值套餐配置 DO
 *
 * @author admin
 */
@TableName("yshop_recharge_package")
@KeySequence("yshop_recharge_package_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RechargePackageDO extends BaseDO {

    /**
     * 订单ID
     */
    @TableId
    private Long id;
    /**
     * 充值金额
     */
    private Integer rechargeAmount;
    /**
     * 赠送金额
     */
    private Integer giftAmount;
    /**
     * 状态 0-开启 1-关闭
     */
    private Integer status;

}
