package co.yixiang.yshop.module.product.controller.admin.campaigninfo.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 校验营销活动重复参数
 */
@Data
public class CampaignJudgmentParam {

    @Schema(description = "活动商品集合", required = true)
    private List<Long> productIds;

    @Schema(description = "活动id", required = true)
    private Long campaignId;

    @Schema(description = "活动开始时间", required = true)
    private LocalDateTime startTime;

    @Schema(description = "活动结束", required = true)
    private LocalDateTime endTime;
}
