package co.yixiang.yshop.module.product.controller.admin.campaigninfo.vo;

import lombok.*;

import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 活动信息 Excel VO
 *
 * @author moxiangrong
 */
@Data
public class CampaignInfoExcelVO {

    @ExcelProperty("营销活动id")
    private Long id;

    @ExcelProperty("活动名称")
    private String name;

    @ExcelProperty("活动类型：1、拼团，2、秒杀，3、限时折扣")
    private Integer type;

    @ExcelProperty("备注")
    private String remark;

    @ExcelProperty("活动开始时间")
    private LocalDateTime startTime;

    @ExcelProperty("活动结束时间")
    private LocalDateTime endTime;

    @ExcelProperty("商品限购 1-不限购 2-限购")
    private Integer ifLimit;

    @ExcelProperty("限购几件/人")
    private Integer limitNumber;

    @ExcelProperty("活动预热   1-停用  2-启用")
    private Integer ifEnable;

    @ExcelProperty("预热几分钟前")
    private Integer enableTime;


    @ExcelProperty("活动状态 0-未开始 1-进行中 2-已结束")
    private Integer state;

    @ExcelProperty("成团人数")
    private Integer person;

    @ExcelProperty("成团有效时间几（分钟）")
    private Integer effectiveTime;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
