package co.yixiang.yshop.module.product.controller.admin.shippingtemplates.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 运费模板 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class ShippingTemplatesBaseVO {

    @Schema(description = "模板名称", example = "张三")
    private String name;

    @Schema(description = "计费方式", example = "2")
    private Integer type;

    @Schema(description = "指定包邮开关")
    private Integer appoint;

}
