package co.yixiang.yshop.module.product.controller.admin.shippingtemplates.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 运费模板更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ShippingTemplatesUpdateReqVO extends ShippingTemplatesBaseVO {

    @Schema(description = "模板ID", required = true, example = "17775")
    @NotNull(message = "模板ID不能为空")
    private Integer id;

    @Schema(description = "地域以及费用")
    private String regionInfo;

    @Schema(description = "指定包邮内容")
    private String appointInfo;

    @Schema(description = "排序")
    private Integer sort;

}
