package co.yixiang.yshop.module.product.controller.admin.storeproduct.vo;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Schema(description = "管理后台 - 营销活动商品分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CampaignProductPageReqVO extends PageParam {

    @Schema(description = "商品名称", example = "张三")
    private String storeName;

    @Schema(description = "规格 0单 1多", example = "1")
    private Integer specType;

}
