package co.yixiang.yshop.module.product.controller.admin.storeproduct.vo;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Schema(description = "管理后台 - 画布商品分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CanvasProductPageReqVO extends PageParam {

    @Schema(description = "商品名称", example = "张三")
    private String storeName;

    @Schema(description = "商品分类id", example = "0")
    private Long cateId;

    @Schema(description = "商品分类id合集", example = "0")
    private List<Long> cateIds;

    @Schema(description = "商品id集合")
    private List<Long> ids;

    @Schema(description = "是否： 1、分页，2、不分页", example = "2")
    private Integer isPage;

}
