package co.yixiang.yshop.module.product.controller.admin.storeproduct.vo;

import co.yixiang.yshop.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 优惠券商品分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CouponProductPageReqVO extends PageParam {
    @Schema(description = "优惠券范围类型", example = "1")
    @NotNull(message = "优惠券范围类型不能为空")
    private Integer couponScope;

    @Schema(description = "商品id集合", example = "1")
    private List<Long> ids;

}
