package co.yixiang.yshop.module.product.controller.admin.storeproductrelation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import java.util.Date;

@Schema(description = "管理后台 - 商品点赞和收藏 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreProductRelationRespVO extends StoreProductRelationBaseVO {

    @Schema(description = "id", required = true, example = "24658")
    private Long id;


    @Schema(description = "添加时间", required = true)
    private Date createTime;

    @Schema(description = "商品名称", required = true)
    private String storeName;

    @Schema(description = "用户昵称", required = true)
    private String nickname;

    @Schema(description = "用户头像", required = true)
    private String avatar;

}
