package co.yixiang.yshop.module.product.controller.admin.teamworkinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 拼团信息更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class TeamworkInfoUpdateReqVO extends TeamworkInfoBaseVO {

    @Schema(description = "拼团id", required = true, example = "7641")
    @NotNull(message = "拼团id不能为空")
    private Long id;

}
