package co.yixiang.yshop.module.product.controller.admin.teamworkinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 拼团订单信息 Response VO")
@Data
@ToString(callSuper = true)
public class TeamworkOrderInfoRespVO {

    @Schema(description = "用户昵称", required = true, example = "7641")
    private String nickname;

    @Schema(description = "用户头像", required = true, example = "7641")
    private String avatar;

    @Schema(description = "订单编号", required = true, example = "7641")
    private String orderId;

    @Schema(description = "金额", required = true, example = "7641")
    private BigDecimal price;
}
