package co.yixiang.yshop.module.product.controller.app.campaigninfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "用户 APP -营销活动数量校验  VO")
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(callSuper = true)
public class CampaignNumberJudgeVO {

    @Schema(description = "规格唯一值")
    private String productAttrUnique;

    @Schema(description = "用户id")
    private Long uid;

    @Schema(description = "购买数量")
    private Integer number;

}
