package co.yixiang.yshop.module.product.controller.app.couponrelation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 购物车优惠券明细VO
 */
@Data
@Builder
public class CartCouponDetailVO {

    @Schema(description = "商品id", required = true, example = "1")
    private Long productId;

    @Schema(description = "商品规格", required = true, example = "1")
    private String productAttrUnique;

    @Schema(description = "商品优惠", required = true, example = "1")
    private BigDecimal productCoupon;


}
