package co.yixiang.yshop.module.product.controller.app.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


/**
 * <p>
 * 商品详情查询
 * </p>
 *
 * @author moxiangrong
 * @date 2024-01-23
 */
@Data
@Schema(description = "用户 APP - 商品详情查询vo")
public class AppStoreProductDetailReqVo {

    @Schema(description = "商品ID", required = true)
    private Long productId;

    @Schema(description = "规格id", required = true)
    private Long skuId;

}
