package co.yixiang.yshop.module.product.controller.app.teamworkinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.time.LocalDateTime;

@Schema(description = "用户 APP - 待成团列表 Response VO")
@Data
@ToString(callSuper = true)
public class AppWaitTeamworkRespVO {

    @Schema(description = "待成团id", required = true, example = "7641")
    private Long id;

    @Schema(description = "规格id", required = true, example = "7641")
    private Long skuId;

    @Schema(description = "成团人数", required = true, example = "7641")
    private Integer total;

    @Schema(description = "当前人数", required = true, example = "7641")
    private Integer current;

    @Schema(description = "创建时间", required = true, example = "7641")
    private LocalDateTime createTime;

    @Schema(description = "成团有效期", required = true, example = "7641")
    private Integer effectiveTime;

    @Schema(description = "成团结束时间", required = true, example = "7641")
    private LocalDateTime closeTime;

    @Schema(description = "团长信息", required = true, example = "7641")
    private AppWaitTeamworkUserRespVO user;
}
