package co.yixiang.yshop.module.product.controller.app.teamworkinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "用户 APP - 待成团用户列表 Response VO")
@Data
@ToString(callSuper = true)
public class AppWaitTeamworkUserRespVO {

    @Schema(description = "拼团id", required = true, example = "7641")
    private Long id;

    @Schema(description = "用户id", required = true, example = "7641")
    private Long uid;

    @Schema(description = "用户昵称", required = true, example = "7641")
    private String nickname;

    @Schema(description = "用户头像", required = true, example = "7641")
    private String avatar;

    @Schema(description = "是否是团长", required = true, example = "7641")
    private String isHead;

}
