package co.yixiang.yshop.module.product.dal.mysql.productcouponrelation;

import co.yixiang.yshop.framework.mybatis.core.mapper.BaseMapperX;
import co.yixiang.yshop.module.product.controller.app.couponrelation.vo.UserCouponVO;
import co.yixiang.yshop.module.product.dal.dataobject.productcouponrelation.ProductCouponRelationDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商品优惠券记录 Mapper
 *
 * @author moxiangrong
 */
@Mapper
public interface ProductCouponRelationMapper extends BaseMapperX<ProductCouponRelationDO> {

    List<UserCouponVO> searchUserCoupon(@Param("type") Integer type, @Param("uid") Long uid, @Param("id") Long id);

    Integer getCouponNumber(@Param("userId") Long userId);

}
