package co.yixiang.yshop.module.product.dal.redis;

import co.yixiang.yshop.framework.redis.core.RedisKeyDefine;

import static co.yixiang.yshop.framework.redis.core.RedisKeyDefine.KeyTypeEnum.STRING;
import static co.yixiang.yshop.framework.redis.core.RedisKeyDefine.KeyTypeEnum.ZSET;


/**
 * System Redis Key 枚举类
 *
 * @author yshop
 */
public interface RedisKeyConstants {


    RedisKeyDefine YSHOP_USER_SEARCH_HISTORY_KEY = new RedisKeyDefine("用户历史搜索",
            "yshop_user_search_history:%d", //
            STRING, String.class, RedisKeyDefine.TimeoutTypeEnum.DYNAMIC);

    RedisKeyDefine YSHOP_POPULAR_SEARCH_RECORDS_KEY = new RedisKeyDefine("热门搜索记录",
            "yshop_popular_search_records", //
            STRING, String.class, RedisKeyDefine.TimeoutTypeEnum.DYNAMIC);

}
