package co.yixiang.yshop.module.product.service.storeproductrelation;

import co.yixiang.yshop.framework.common.pojo.PageResult;
import co.yixiang.yshop.module.product.controller.admin.storeproductrelation.vo.StoreProductRelationPageReqVO;
import co.yixiang.yshop.module.product.controller.admin.storeproductrelation.vo.StoreProductRelationRespVO;

/**
 * 商品点赞和收藏 Service 接口
 *
 * @author yshop
 */
public interface StoreProductRelationService {


    /**
     * 删除商品点赞和收藏
     *
     * @param id 编号
     */
    void deleteStoreProductRelation(Long id);


    /**
     * 获得商品点赞和收藏分页
     *
     * @param pageReqVO 分页查询
     * @return 商品点赞和收藏分页
     */
    PageResult<StoreProductRelationRespVO> getStoreProductRelationPage(StoreProductRelationPageReqVO pageReqVO);


}
