package co.yixiang.yshop.module.shop.controller.admin.canvas.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.constraints.*;

@Schema(description = "管理后台 - 画布信息创建 Request VO")
@Data
@ToString(callSuper = true)
public class CanvasCreateReqVO {
    @Schema(description = "名称", required = true, example = "yshop")
    @NotNull(message = "名称不能为空")
    private String name;

    @Schema(description = "画布类型 1-首页 2-我的", required = true)
    @NotNull(message = "画布类型不能为空")
    private Integer type;
}
