package co.yixiang.yshop.module.shop.controller.admin.canvas.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "管理后台 - 画布信息分页 Request VO")
@Data
@ToString(callSuper = true)
public class CanvasDetailReqVO {

    @Schema(description = "画布id", required = true, example = "18674")
    private Long id;

    @Schema(description = "终端类型", required = true, example = "18674")
    private Long terminal;
}
