package co.yixiang.yshop.module.shop.controller.admin.canvas.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 画布信息 Excel VO
 *
 * @author moxiangrong
 */
@Data
public class CanvasExcelVO {

    @ExcelProperty("画布id")
    private Long id;

    @ExcelProperty("名称")
    private String name;

    @ExcelProperty("状态 0-关闭 1-开启")
    private Integer state;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
