package co.yixiang.yshop.module.shop.controller.admin.canvas.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 画布json更新 Request VO")
@Data
@ToString(callSuper = true)
public class CanvasJsonUpdateReqVO {

    @Schema(description = "画布id", required = true)
    @NotNull(message = "画布id不能为空")
    private Long id;

    @Schema(description = "终端 1-小程序 2-H5 3-APP", required = true)
    @NotNull(message = "终端 1-小程序 2-H5 3-APP不能为空")
    private Integer terminal;

    @Schema(description = "画布json数据")
    private String json;

}
