package co.yixiang.yshop.module.shop.controller.admin.canvas.vo;

import co.yixiang.yshop.module.shop.controller.admin.canvasdetail.vo.CanvasDetailRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 画布信息 Response VO")
@Data
@ToString(callSuper = true)
public class CanvasRespVO {

    @Schema(description = "画布id", required = true, example = "18674")
    private Long id;

    @Schema(description = "名称", required = true, example = "yshop")
    private String name;

    @Schema(description = "画布类型 1-首页 2-我的", required = true)
    private Integer type;

    @Schema(description = "状态 0-关闭 1-开启")
    private Integer state;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
