package co.yixiang.yshop.module.shop.controller.admin.shopassistant.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 门店店员 Excel VO
 *
 * @author admin
 */
@Data
public class ShopAssistantExcelVO {

    @ExcelProperty("参数主键")
    private Long id;

    @ExcelProperty("门店ID")
    private Long storeId;

    @ExcelProperty("会员ID")
    private Long userId;

    @ExcelProperty("姓名")
    private String name;

    @ExcelProperty("联系电话")
    private String phoneNo;

    @ExcelProperty("状态")
    private Boolean status;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
