package co.yixiang.yshop.module.shop.controller.admin.shopassistant.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 门店店员更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ShopAssistantUpdateReqVO extends ShopAssistantBaseVO {

    @Schema(description = "参数主键", required = true, example = "107")
    @NotNull(message = "参数主键不能为空")
    private Long id;

}
