package co.yixiang.yshop.module.shop.convert.canvasdetail;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import co.yixiang.yshop.module.shop.controller.admin.canvas.vo.CanvasJsonUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.shop.controller.admin.canvasdetail.vo.*;
import co.yixiang.yshop.module.shop.dal.dataobject.canvasdetail.CanvasDetailDO;

/**
 * 画布明细 Convert
 *
 * @author moxiangrong
 */
@Mapper
public interface CanvasDetailConvert {

    CanvasDetailConvert INSTANCE = Mappers.getMapper(CanvasDetailConvert.class);

    CanvasDetailRespVO convert(CanvasDetailDO bean);

    List<CanvasDetailRespVO> convertList(List<CanvasDetailDO> list);

    PageResult<CanvasDetailRespVO> convertPage(PageResult<CanvasDetailDO> page);


}
