package co.yixiang.yshop.module.member.controller.admin.burypoint.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 埋点 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class BuryPointBaseVO {

    @Schema(description = "用户ID", example = "8201")
    private Long userId;

    @Schema(description = "事件")
    private String event;

    @Schema(description = "事件参数")
    private String eventParameter;

    @Schema(description = "IP")
    private String ip;

}
