package co.yixiang.yshop.module.member.controller.admin.burypoint.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 埋点 Excel VO
 *
 * @author admin
 */
@Data
public class BuryPointExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("用户ID")
    private Long userId;

    @ExcelProperty("事件")
    private String event;

    @ExcelProperty("事件参数")
    private String eventParameter;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @ExcelProperty("IP")
    private String ip;

}
