package co.yixiang.yshop.module.member.controller.admin.burypoint.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 埋点 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BuryPointRespVO extends BuryPointBaseVO {

    @Schema(description = "主键", required = true, example = "28996")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
