package co.yixiang.yshop.module.member.controller.admin.integralrule.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 会员积分规则 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class IntegralRuleRespVO extends IntegralRuleBaseVO {

    @Schema(description = "评论ID", required = true, example = "5350")
    private Long id;

    @Schema(description = "添加时间", required = true)
    private LocalDateTime createTime;

}
