package co.yixiang.yshop.module.member.controller.admin.integralrule.vo;

import co.yixiang.yshop.module.member.dal.dataobject.integralrule.IntegralRuleDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author pepis
 * @apiNote
 **/
@Data
public class IntegralRuleVO {
    @Schema(description = "积分奖励列表")
    private List<IntegralRuleDO> ruleList;

    @Schema(description = "积分抵扣规则")
    private String integralDeductionRule; //积分抵扣规则
    @Schema(description = "积分抵扣是否开启")
    private String integralEnable; //积分抵扣是否开启
    @Schema(description = "积分名称")
    private String integralName; //积分名称
}
