package co.yixiang.yshop.module.member.controller.admin.user.vo;

import co.yixiang.yshop.framework.desensitize.core.slider.annotation.MobileDesensitize;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 素材库 Excel VO
 *
 * @author yshop
 */
@Data
public class MemberUserExcelVO {

    @ExcelProperty("编号")
    private Long id;

    @ExcelProperty("用户昵称")
    private String nickname;

    @MobileDesensitize
    @ExcelProperty("手机号码")
    private String mobile;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @ExcelProperty("用户余额")
    private BigDecimal nowMoney;

    @ExcelProperty("登录类型")
    private String loginType;


}
