package co.yixiang.yshop.module.member.controller.admin.user.vo;

import co.yixiang.yshop.module.member.controller.admin.usertagref.vo.UserTagRefRespVO;
import co.yixiang.yshop.module.member.dal.dataobject.usertagref.UserTagRefDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 用户 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserRespVO extends UserBaseVO {

    @Schema(description = "用户id", required = true, example = "16370")
    private Long id;

    @Schema(description = "添加时间")
    private LocalDateTime createTime;

    @Schema(description = "标签列表")
    private List<UserTagRefDO> tagList;


}
