package co.yixiang.yshop.module.member.controller.admin.userbill.vo;

import co.yixiang.yshop.module.member.enums.BillDetailEnum;
import co.yixiang.yshop.module.member.enums.BillEnum;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author pepis
 * @apiNote
 **/
@Data
@Builder
public class UserBillModifyDTO {
    // 用户id
    private Long uid;
    // 变动金额 包含负数
    private BigDecimal amount;
    // 变动后金额
    private BigDecimal afterAmount;
    // 关联id
    private Long linkId;
    // 变动类型
    private BillDetailEnum typeEnum;
    // 分类
    private BillDetailEnum categoryEnum;
    // 收入/支出
    private BillEnum pmType;
}
