package co.yixiang.yshop.module.member.controller.admin.userinvitelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 邀请日志 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserInviteLogRespVO extends UserInviteLogBaseVO {

    @Schema(description = "评论ID", required = true, example = "12248")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
