package co.yixiang.yshop.module.member.controller.admin.userlevelconfig.vo;

import co.yixiang.yshop.module.member.controller.admin.userlevelequityref.vo.UserLevelEquityRefCreateReqVO;
import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.constraints.*;

@Schema(description = "管理后台 - 会员等级配置创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserLevelConfigCreateReqVO extends UserLevelConfigBaseVO {

    @Schema(description = "权益值列表")
    private List<UserLevelEquityRefCreateReqVO> levelEquityList;

}
