package co.yixiang.yshop.module.member.controller.admin.userlevelconfig.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 会员等级配置 Excel VO
 *
 * @author admin
 */
@Data
public class UserLevelConfigExcelVO {

    @ExcelProperty("参数主键")
    private Long id;

    @ExcelProperty("等级名称")
    private String levelName;

    @ExcelProperty("等级")
    private Integer level;

    @ExcelProperty("成长值")
    private Integer growthValue;

    @ExcelProperty("图标")
    private String iconUrl;

    @ExcelProperty("背景")
    private String backgroundUrl;

    @ExcelProperty("状态")
    private Boolean status;

    @ExcelProperty("说明")
    private String remarks;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
