package co.yixiang.yshop.module.member.controller.admin.userlevelconfig.vo;

import co.yixiang.yshop.module.member.controller.admin.userlevelequityref.vo.UserLevelEquityRefCreateReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 会员等级配置更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserLevelConfigUpdateReqVO extends UserLevelConfigBaseVO {

    @Schema(description = "参数主键", required = true, example = "18027")
    @NotNull(message = "参数主键不能为空")
    private Long id;

    @Schema(description = "权益值列表")
    private List<UserLevelEquityRefCreateReqVO> levelEquityList;

}
