package co.yixiang.yshop.module.member.controller.admin.userlevelequity.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 会员等级权益配置 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserLevelEquityRespVO extends UserLevelEquityBaseVO {

    @Schema(description = "参数主键", required = true, example = "19360")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
