package co.yixiang.yshop.module.member.controller.admin.userlevelequityref.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 会员等级权益中间 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class UserLevelEquityRefBaseVO {

    @Schema(description = "等级ID", required = true, example = "31064")
    @NotNull(message = "等级ID不能为空")
    private Long levelId;

    @Schema(description = "权益ID", required = true, example = "6319")
    @NotNull(message = "权益ID不能为空")
    private Long equityId;

    @Schema(description = "权益值")
    private Long equityValue;

}
