package co.yixiang.yshop.module.member.controller.admin.usertag.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 会员标签 Excel 导出 Request VO，参数和 UserTagPageReqVO 是一致的")
@Data
public class UserTagExportReqVO {

    @Schema(description = "标签名称", example = "yshop")
    private String tagName;

    @Schema(description = "分组ID", example = "14361")
    private Long groupId;

    @Schema(description = "添加时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
