package co.yixiang.yshop.module.member.controller.admin.usertag.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 会员标签 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserTagRespVO extends UserTagBaseVO {

    @Schema(description = "用户id", required = true, example = "8835")
    private Long id;

    @Schema(description = "添加时间")
    private LocalDateTime createTime;

    @Schema(description = "分组名称")
    private String groupName;

    @Schema(description = "会员数")
    private Long userCount;

}
