package co.yixiang.yshop.module.member.controller.admin.usertag.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 会员标签更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserTagUpdateReqVO extends UserTagBaseVO {

    @Schema(description = "用户id", required = true, example = "8835")
    @NotNull(message = "用户id不能为空")
    private Long id;

}
