package co.yixiang.yshop.module.member.controller.admin.usertaggroup.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 会员标签分组 Excel 导出 Request VO，参数和 UserTagGroupPageReqVO 是一致的")
@Data
public class UserTagGroupExportReqVO {

    @Schema(description = "分组名称", example = "赵六")
    private String groupName;

    @Schema(description = "排序")
    private Integer sorted;

    @Schema(description = "添加时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
