package co.yixiang.yshop.module.member.controller.admin.usertaggroup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 会员标签分组 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserTagGroupRespVO extends UserTagGroupBaseVO {

    @Schema(description = "用户id", required = true, example = "23630")
    private Long id;

    @Schema(description = "添加时间")
    private LocalDateTime createTime;

}
