package co.yixiang.yshop.module.member.controller.admin.usertagref.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 用户标签中间 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class UserTagRefBaseVO {

    @Schema(description = "用户ID", example = "21474")
    private Long userId;

    @Schema(description = "标签ID", example = "20574")
    private Long tagId;

}
