package co.yixiang.yshop.module.member.controller.admin.usertagref.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 用户标签中间 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserTagRefRespVO extends UserTagRefBaseVO {

    @Schema(description = "ID", required = true, example = "1019")
    private Long id;

    @Schema(description = "添加时间")
    private LocalDateTime createTime;

}
