package co.yixiang.yshop.module.member.controller.admin.usertagref.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 用户标签中间更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserTagRefUpdateReqVO extends UserTagRefBaseVO {

    @Schema(description = "ID", required = true, example = "1019")
    @NotNull(message = "ID不能为空")
    private Long id;

}
