package co.yixiang.yshop.module.member.controller.app.signinrecord.vo;

import co.yixiang.yshop.module.member.controller.admin.signinrecord.vo.SignInRecordRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author pepis
 * @apiNote 签到信息
 **/
@Data
public class SignInInfoVO {
    @Schema(description = "总积分")
    private BigDecimal integral;

    @Schema(description = "连续签到天数")
    private Integer signInDays;

    @Schema(description = "今天是否签到")
    private Boolean todaySignIn;

    @Schema(description = "签到日志")
    private List<SignInRecordRespVO> signInRecordList;
}
