package co.yixiang.yshop.module.member.controller.app.userlevel.vo;

import co.yixiang.yshop.module.member.controller.admin.userlevelconfig.vo.UserLevelConfigRespVO;
import co.yixiang.yshop.module.member.dal.dataobject.userlevelconfig.UserLevelConfigDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author pepis
 * @apiNote 用户等级信息
 **/
@Data
public class UserLevelInfoVO {
    @Schema(description = "当前等级")
    private UserLevelConfigDO currentLevel;
    @Schema(description = "下一等级")
    private UserLevelConfigDO nextLevel;

    @Schema(description = "当前成长值")
    private Integer currentGrowthValue;
    @Schema(description = "升级所需成长值")
    private Integer needGrowthValue;
}
