package co.yixiang.yshop.module.member.dal.dataobject.userinvitelog;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 邀请日志 DO
 *
 * @author admin
 */
@TableName("yshop_user_invite_log")
@KeySequence("yshop_user_invite_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserInviteLogDO extends BaseDO {

    /**
     * 评论ID
     */
    @TableId
    private Long id;
    /**
     * 邀请用户id
     */
    private Long userId;
    /**
     * 被邀请用户id
     */
    private Long beInviteUserId;

}
