package co.yixiang.yshop.module.member.dal.dataobject.usertagref;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用户标签中间 DO
 *
 * @author admin
 */
@TableName("yshop_user_tag_ref")
@KeySequence("yshop_user_tag_ref_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserTagRefDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 标签ID
     */
    private Long tagId;

    /**
     * 标签名称
     */
    @TableField(exist = false)
    private String tagName;

}
