package co.yixiang.yshop.module.system.enums;

/**
 * System 字典类型的枚举类
 *
 * @author yshop
 */
public interface DictTypeConstants {

    String USER_TYPE = "user_type"; // 用户类型
    String COMMON_STATUS = "common_status"; // 系统状态

    // ========== SYSTEM 模块 ==========

    String USER_SEX = "system_user_sex"; // 用户性别

    String OPERATE_TYPE = "system_operate_type"; // 操作类型

    String LOGIN_TYPE = "system_login_type"; // 登录日志的类型
    String LOGIN_RESULT = "system_login_result"; // 登录结果

    String ERROR_CODE_TYPE = "system_error_code_type"; // 错误码的类型枚举

    String SMS_CHANNEL_CODE = "system_sms_channel_code"; // 短信渠道编码
    String SMS_TEMPLATE_TYPE = "system_sms_template_type"; // 短信模板类型
    String SMS_SEND_STATUS = "system_sms_send_status"; // 短信发送状态
    String SMS_RECEIVE_STATUS = "system_sms_receive_status"; // 短信接收状态

    String USER_AGREEMENT = "user_agreement"; // 用户协议
    String PRIVACY_AGREEMENT = "privacy_agreement"; // 隐私协议

    String DEFAULT_HEAD = "default_head"; // 用户默认头像

    String CLOSE_AFTER_SALE_DAYS = "close_after_sale_days"; //关闭售后天数

    String INTEGRAL_CONFIG = "integral_config"; //积分配置
    String INTEGRAL_DEDUCTION_RULE = "integral_deduction_rule"; //积分抵扣规则
    String INTEGRAL_ENABLE = "integral_enable"; //积分抵扣是否开启
    String INTEGRAL_NAME = "integral_name"; //积分名称

}
