package co.yixiang.yshop.framework.common.enums;

import co.yixiang.yshop.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 逻辑删除枚举
 *
 * @author yshop
 */
@Getter
@AllArgsConstructor
public enum DeletedEnum {

    NO(false, "默认"),
    YES(true, "已逻辑删除");


    /**
     * 状态值
     */
    private final Boolean status;
    /**
     * 状态名
     */
    private final String name;


}
