package co.yixiang.yshop.module.express.controller.admin.electronicsorder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 电子面单更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ElectronicsOrderUpdateReqVO extends ElectronicsOrderBaseVO {

    @Schema(description = "主键id", required = true, example = "4751")
    @NotNull(message = "主键id不能为空")
    private Long id;

}
