package co.yixiang.yshop.module.cart.controller.admin.storecart.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 购物车分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreCartPageReqVO extends PageParam {

    @Schema(description = "用户昵称", example = "李四")
    private String nickname;

    @Schema(description = "类型", example = "1")
    private String type;

    @Schema(description = "商品ID", example = "1696")
    private Long productId;


}
