package co.yixiang.yshop.module.cart.controller.app.cart.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @ClassName CartIds
 * @Author hupeng <610796224@qq.com>
 * @Date 2023/6/17
 **/
@Data
@Schema(description = "用户 APP - 购物车CartIds参数")
public class AppCartIdsParm {

    @NotNull(message = "参数有误")
    @Schema(description = "购物车ID，多个用,分隔开", required = true)
    List<String> ids;
}
