package co.yixiang.yshop.module.distributor.api.dto;


import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Data
@ToString(callSuper = true)
public class DistributorProductDTO {

    // 商品ID
    private Long productId;
    // 商品规格ID
    private Long productAttrValueId;
    // 商品名称
    private String productName;
    // 原价
    private BigDecimal productOriginalPrice;
    // 商品金额
    private BigDecimal productPrice;
    // 订单详情id
    private Long detailId;
    // 分销规则 0-默认 1-自定义
    private Integer distributionRule;
    // 分销自购 0-关闭 1-开启
    private Integer distributionPurchase;
    // 商品结算方式 0-实际支付价格 1-商品价格
    private Integer distributionProductSettlement;
    // 佣金结算方式 0-支付后结算 1-确认收获后结算 2-订单完成结算
    private Integer distributionWagesSettlement;
    // 分销规则 1-一级 2-二级
    private Integer distributionLevel;
    // 一级佣金比例
    private Integer firstWages;
    // 二级佣金比例
    private Integer secondWages;

}
