package co.yixiang.yshop.module.distributor.controller.admin.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "创建分销商")
@Data
@ToString(callSuper = true)
public class DistributorCreateReqVO {

    @Schema(description = "用户ID", example = "12876")
    private Long userId;

    @Schema(description = "等级ID", example = "7188")
    private Long levelId;

    @Schema(description = "真实姓名", example = "王五")
    private String realName;

    @Schema(description = "上级ID")
    private Long superiorId;


}
