package co.yixiang.yshop.module.distributor.controller.admin.distributor.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 分销商 Excel VO
 *
 * @author admin
 */
@Data
public class DistributorExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("用户ID")
    private Long userId;

    @ExcelProperty("真实姓名")
    private String realName;

    @ExcelProperty("等级ID")
    private Long levelId;

    @ExcelProperty("上级ID")
    private Long superiorId;

    @ExcelProperty("上级名称")
    private String superiorName;

    @ExcelProperty("地址")
    private String address;

    @ExcelProperty("申请原因")
    private String reason;

    @ExcelProperty("拒绝原因")
    private String refuse;

    @ExcelProperty("状态 0-待审核 1-已通过 2-已拒绝")
    private Integer status;

    @ExcelProperty("累计金额")
    private BigDecimal addUpAmount;

    @ExcelProperty("累计佣金")
    private BigDecimal addUpWages;

    @ExcelProperty("累计用户")
    private Integer addUpUser;

    @ExcelProperty("累计下级经销商")
    private Integer addUpDistributor;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
