package co.yixiang.yshop.module.distributor.controller.admin.distributordynamics.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 分销商动态 Excel VO
 *
 * @author admin
 */
@Data
public class DistributorDynamicsExcelVO {

    @ExcelProperty("主键ID")
    private Long id;

    @ExcelProperty("动态类型")
    private Integer type;

    @ExcelProperty("分销商ID")
    private Long distributorId;

    @ExcelProperty("分销商名称")
    private String distributorName;

    @ExcelProperty("内容")
    private String content;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
