package co.yixiang.yshop.module.distributor.controller.admin.distributordynamics.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销商动态 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorDynamicsRespVO extends DistributorDynamicsBaseVO {

    @Schema(description = "主键ID", required = true, example = "7459")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
