package co.yixiang.yshop.module.distributor.controller.admin.distributordynamics.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 分销商动态更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorDynamicsUpdateReqVO extends DistributorDynamicsBaseVO {

    @Schema(description = "主键ID", required = true, example = "7459")
    @NotNull(message = "主键ID不能为空")
    private Long id;

}
