package co.yixiang.yshop.module.distributor.controller.admin.distributorlevel.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销商等级 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorLevelRespVO extends DistributorLevelBaseVO {

    @Schema(description = "主键", required = true, example = "9364")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

    @Schema(description = "分销商数量", required = true)
    private Integer count;

}
