package co.yixiang.yshop.module.distributor.controller.admin.distributorwages.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.math.BigDecimal;
import javax.validation.constraints.*;

/**
 * 分销商佣金 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class DistributorWagesBaseVO {

    @Schema(description = "用户ID", example = "17956")
    private Long userId;

    @Schema(description = "佣金")
    private BigDecimal amount;

    @Schema(description = "待入账佣金")
    private BigDecimal refuseAmount;

    @Schema(description = "分销商ID", example = "13832")
    private Long distributorId;

}
