package co.yixiang.yshop.module.distributor.controller.admin.distributorwages.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 分销商佣金 Excel VO
 *
 * @author admin
 */
@Data
public class DistributorWagesExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("用户ID")
    private Long userId;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @ExcelProperty("佣金")
    private BigDecimal amount;

    @ExcelProperty("待入账佣金")
    private BigDecimal refuseAmount;

    @ExcelProperty("分销商ID")
    private Long distributorId;

}
