package co.yixiang.yshop.module.distributor.controller.admin.distributorwageslog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 分销商佣金记录 Excel VO
 *
 * @author admin
 */
@Data
public class DistributorWagesLogExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("佣金ID")
    private Long wagesId;

    @ExcelProperty("用户ID")
    private Long userId;

    @ExcelProperty("佣金类型")
    private Integer type;

    @ExcelProperty("佣金金额")
    private BigDecimal amount;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @ExcelProperty("分销商ID")
    private Long distributorId;

    @ExcelProperty("记录状态")
    private Integer status;

    @ExcelProperty("用户昵称")
    private String userName;

    @ExcelProperty("分销商名称")
    private String distributorName;

}
