package co.yixiang.yshop.module.distributor.controller.admin.distributorwageslog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 分销商佣金记录更新 Request VO")
@Data
@ToString(callSuper = true)
public class DistributorWagesLogVerifyReqVO {

    @Schema(description = "主键", required = true, example = "6259")
    @NotNull(message = "主键不能为空")
    private Long id;

    @Schema(description = "记录状态", example = "1")
    private Integer type;

    @Schema(description = "说明")
    private String content;

}
