package co.yixiang.yshop.module.distributor.controller.admin.distributorwithdrawalmethod.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 分销商提现方式 Excel VO
 *
 * @author admin
 */
@Data
public class DistributorWithdrawalMethodExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("用户ID")
    private Long userId;

    @ExcelProperty("分销商ID")
    private Long distributorId;

    @ExcelProperty("支付方式")
    private String paymentMethod;

    @ExcelProperty("账号")
    private String acountNum;

    @ExcelProperty("真实姓名")
    private String realName;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
