package co.yixiang.yshop.module.distributor.controller.app.distributororder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "订单 Resp VO")
@Data
@ToString(callSuper = true)
public class AppDistributorOrderWagesRespVO {

    @Schema(description = "订单数量")
    private Integer orderCount = 0;

    @Schema(description = "待入账佣金")
    private BigDecimal refuseAmount = BigDecimal.ZERO;

    @Schema(description = "已入账佣金")
    private BigDecimal amount = BigDecimal.ZERO;
}
