package co.yixiang.yshop.module.distributor.controller.app.distributorwages.vo;

import co.yixiang.yshop.framework.common.pojo.PageResult;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributorwageslog.DistributorWagesLogDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "APP佣金 Resp VO")
@Data
@ToString(callSuper = true)
public class AppDistributorWagesPageRespVO {

    @Schema(description = "总收入")
    private BigDecimal income = BigDecimal.ZERO;

    @Schema(description = "总支出")
    private BigDecimal expenses = BigDecimal.ZERO;

}
