package co.yixiang.yshop.module.distributor.controller.app.distributorwages.vo;

import co.yixiang.yshop.framework.common.pojo.PageResult;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributororder.DistributorOrderDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "订单 Resp VO")
@Data
@ToString(callSuper = true)
public class AppDistributorWagesRespVO {

    @Schema(description = "订单分页")
    PageResult<DistributorOrderDO> pageResult;

    @Schema(description = "待入账佣金")
    private BigDecimal refuseAmount = BigDecimal.ZERO;

    @Schema(description = "已入账佣金")
    private BigDecimal amount = BigDecimal.ZERO;
}
