package co.yixiang.yshop.module.distributor.service.distributorlevel;

import co.yixiang.yshop.framework.common.pojo.PageResult;
import co.yixiang.yshop.module.distributor.controller.admin.distributorlevel.vo.DistributorLevelCreateReqVO;
import co.yixiang.yshop.module.distributor.controller.admin.distributorlevel.vo.DistributorLevelPageReqVO;
import co.yixiang.yshop.module.distributor.controller.admin.distributorlevel.vo.DistributorLevelRespVO;
import co.yixiang.yshop.module.distributor.controller.admin.distributorlevel.vo.DistributorLevelUpdateReqVO;

import javax.validation.Valid;

public interface DistributorLevelFacade {

    Long createLevel(@Valid DistributorLevelCreateReqVO createReqVO);

    void updateLevel(@Valid DistributorLevelUpdateReqVO updateReqVO);

    PageResult<DistributorLevelRespVO> getLevelPage(DistributorLevelPageReqVO pageVO);

    // 升级
    void levelUp(Long id);
}
