package co.yixiang.yshop.module.order.controller.admin.rechargeconfig.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 充值配置 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class RechargeConfigBaseVO {

    @Schema(description = "自定义金额开关 0-关闭 1-开启")
    private Integer customSwitch;

    @Schema(description = "最小金额")
    private Integer customMin;

    @Schema(description = "说明")
    private String content;

}
