package co.yixiang.yshop.module.order.controller.admin.rechargeconfig.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 充值配置 Excel VO
 *
 * @author admin
 */
@Data
public class RechargeConfigExcelVO {

    @ExcelProperty("主键ID")
    private Long id;

    @ExcelProperty("自定义金额开关 0-关闭 1-开启")
    private Integer customSwitch;

    @ExcelProperty("最小金额")
    private Integer customMin;

    @ExcelProperty("说明")
    private String content;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
