package co.yixiang.yshop.module.order.controller.admin.rechargeconfig.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 充值配置 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RechargeConfigRespVO extends RechargeConfigBaseVO {

    @Schema(description = "主键ID", required = true, example = "21259")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
