package co.yixiang.yshop.module.order.controller.admin.rechargeconfig.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 充值配置更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RechargeConfigUpdateReqVO extends RechargeConfigBaseVO {

    @Schema(description = "主键ID", required = true, example = "21259")
    @NotNull(message = "主键ID不能为空")
    private Long id;

}
