package co.yixiang.yshop.module.order.controller.admin.rechargeorder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 充值订单 Excel VO
 *
 * @author admin
 */
@Data
public class RechargeOrderExcelVO {

    @ExcelProperty("订单ID")
    private String id;

    @ExcelProperty("用户id")
    private Long userId;

    @ExcelProperty("充值状态 0-未支付 1-已支付")
    private Integer status;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @ExcelProperty("充值金额")
    private Integer rechargeAmount;

    @ExcelProperty("赠送金额")
    private Integer giftAmount;

    @ExcelProperty("充值套餐ID")
    private Long packageId;

}
