package co.yixiang.yshop.module.order.controller.admin.rechargepackage.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 充值套餐配置 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class RechargePackageBaseVO {

    @Schema(description = "充值金额")
    private Integer rechargeAmount;

    @Schema(description = "赠送金额")
    private Integer giftAmount;

    @Schema(description = "状态 0-开启 1-关闭", example = "2")
    private Integer status;

}
