package co.yixiang.yshop.module.order.controller.admin.rechargepackage.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 充值套餐配置 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RechargePackageRespVO extends RechargePackageBaseVO {

    @Schema(description = "配置ID", example = "23375")
    private Long id;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

}
