package co.yixiang.yshop.module.order.controller.admin.storeaftersales.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 售后记录更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreAfterSalesUpdateReqVO extends StoreAfterSalesBaseVO {

    @Schema(description = "id", required = true, example = "10463")
    @NotNull(message = "id不能为空")
    private Long id;

    @Schema(description = "审核类型", required = true, example = "1-同意 2-拒绝")
    private Integer type;

}
