package co.yixiang.yshop.module.order.controller.admin.storeorderdetail.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 订单明细更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreOrderDetailUpdateReqVO extends StoreOrderDetailBaseVO {

    @Schema(description = "订单明细id", required = true, example = "29901")
    @NotNull(message = "订单明细id不能为空")
    private Long id;

}
