package co.yixiang.yshop.module.order.controller.admin.storeorderelectronics.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 订单电子面单记录 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class StoreOrderElectronicsBaseVO {

    @Schema(description = "订单编号")
    private String orderSn;

    @Schema(description = "模板")
    private String printTemplate;

    @Schema(description = "物流单号")
    private String logisticCode;

    @Schema(description = "快递编号")
    private String shipperCode;

    @Schema(description = "接口返回的json")
    private String order;

    @Schema(description = "线下网点客户号", example = "王五")
    private String customerName;

    @Schema(description = "线下网点密码")
    private String customerPwd;

    @Schema(description = "状态:0=正常,1=已取消", example = "1")
    private Integer status;

}
