package co.yixiang.yshop.module.order.controller.admin.storeorderelectronics.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 订单电子面单记录 Excel VO
 *
 * @author yshop
 */
@Data
public class StoreOrderElectronicsExcelVO {

    @ExcelProperty("主键id")
    private Long id;

    @ExcelProperty("订单编号")
    private String orderSn;

    @ExcelProperty("模板")
    private String printTemplate;

    @ExcelProperty("物流单号")
    private String logisticCode;

    @ExcelProperty("快递编号")
    private String shipperCode;

    @ExcelProperty("接口返回的json")
    private String order;

    @ExcelProperty("线下网点客户号")
    private String customerName;

    @ExcelProperty("线下网点密码")
    private String customerPwd;

    @ExcelProperty("状态:0=正常,1=已取消")
    private Integer status;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
