package co.yixiang.yshop.module.order.controller.admin.storeorderelectronics.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 订单电子面单记录更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreOrderElectronicsUpdateReqVO extends StoreOrderElectronicsBaseVO {

    @Schema(description = "主键id", required = true, example = "21777")
    @NotNull(message = "主键id不能为空")
    private Long id;

}
