package co.yixiang.yshop.module.order.controller.app.rechargeorder.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author xwx
 * @Date 2024/1/24
 **/
@Data
@Schema(description = "APP - 充值参数")
public class AppRechargeOrderCreateReqVO {

    @Schema(description = "充值套餐ID", example = "8014")
    private Long packageId;

    @Schema(description = "金额", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer amount;

}
