package co.yixiang.yshop.module.product.controller.admin.campaigndetail.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 营销活动明细 Excel VO
 *
 * @author moxiangrong
 */
@Data
public class CampaignDetailExcelVO {

    @ExcelProperty("营销活动明细id")
    private Long id;

    @ExcelProperty("营销活动id")
    private Long campaignId;

    @ExcelProperty("商品id")
    private Long productId;

    @ExcelProperty("规格id")
    private Long skuId;

    @ExcelProperty("活动价格")
    private BigDecimal price;

    @ExcelProperty("折扣比例")
    private BigDecimal discount;

    @ExcelProperty("活动库存剩余数量")
    private Integer stock;

    @ExcelProperty("活动库存总数量")
    private Integer total;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
