package co.yixiang.yshop.module.product.controller.admin.campaigndetail.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 营销活动明细更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CampaignDetailUpdateReqVO extends CampaignDetailBaseVO {

    @Schema(description = "营销活动明细id", required = true, example = "1740")
    @NotNull(message = "营销活动明细id不能为空")
    private Long id;

}
