package co.yixiang.yshop.module.product.controller.admin.campaigninfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import java.util.List;

import co.yixiang.yshop.module.product.controller.admin.campaigndetail.vo.CampaignDetailRespVO;

@Schema(description = "管理后台 - 活动信息 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CampaignInfoRespVO extends CampaignInfoBaseVO {

    @Schema(description = "营销活动id", required = true, example = "8152")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

    @Schema(description = "当前时间", required = true)
    private LocalDateTime now;

    @Schema(description = "商品数据", required = true)
    List<CampaignDetailRespVO> details;
}
