package co.yixiang.yshop.module.product.controller.admin.campaigninfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 营销活动订单信息
 */
@Data
public class CampaignOrderVo {

    @Schema(description = "活动id", required = true)
    private Long campaignId;

    @Schema(description = "订单id", required = true)
    private Long oid;

    @Schema(description = "用户id", required = true)
    private Long uid;

    @Schema(description = "规格唯一值", required = true)
    private String unique;

    @Schema(description = "订单商品数量", required = true, example = "赵六")
    private Integer number;

    @Schema(description = "订单金额", required = true)
    private BigDecimal price;
}
