package co.yixiang.yshop.module.product.controller.admin.productcoupon.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;


@Schema(description = "管理后台 - 画布商品优惠券")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CanvasProductCouponRespVO extends ProductCouponBaseVO {

    @Schema(description = "优惠券状态：1、进行中，2、已结束,3、未开始", required = true, example = "进行中")
    private String status;

}
