package co.yixiang.yshop.module.product.controller.admin.shippingtemplates.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.constraints.*;

@Schema(description = "管理后台 - 运费模板创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ShippingTemplatesCreateReqVO extends ShippingTemplatesBaseVO {

    @Schema(description = "地域以及费用")
    private String regionInfo;

    @Schema(description = "指定包邮内容")
    private String appointInfo;

    @Schema(description = "排序")
    private Integer sort;

}
