package co.yixiang.yshop.module.product.controller.admin.shippingtemplates.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 运费模板 Excel VO
 *
 * @author yshop
 */
@Data
public class ShippingTemplatesExcelVO {

    @ExcelProperty("模板ID")
    private Integer id;

    @ExcelProperty("模板名称")
    private String name;

    @ExcelProperty("计费方式")
    private Integer type;

    @ExcelProperty("指定包邮开关")
    private Integer appoint;

    @ExcelProperty("添加时间")
    private LocalDateTime createTime;

}
