package co.yixiang.yshop.module.product.controller.admin.shippingtemplates.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 运费模板 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ShippingTemplatesRespVO extends ShippingTemplatesBaseVO {

    @Schema(description = "模板ID", required = true, example = "17775")
    private Integer id;

    @Schema(description = "添加时间")
    private LocalDateTime createTime;


    /**
     * 地域以及费用
     */
    @Schema(description = "地域以及费用")
    private String regionInfo;

    /**
     * 指定包邮内容
     */
    @Schema(description = "指定包邮内容")
    private String appointInfo;

    /**
     * 排序
     */
    @Schema(description = "排序")
    private Integer sort;


}
