package co.yixiang.yshop.module.product.controller.admin.storeproduct.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 营销活动商品sku Response VO")
@Data
@ToString(callSuper = true)
public class CampaignSkuRespVO {

    @Schema(description = "规格id", required = true, example = "1175")
    private Long skuId;

    @Schema(description = "商品id", required = true, example = "1175")
    private Long productId;

    @Schema(description = "规格名称", required = true, example = "1175")
    private String sku;

    @Schema(description = "规格图片", required = true)
    private String image;

    @Schema(description = "规格价格", required = true, example = "18735")
    private BigDecimal price;

    @Schema(description = "规格库存")
    private Integer stock;

}
