package co.yixiang.yshop.module.product.controller.admin.teamworkinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 拼团信息创建 VO")
@Data
@ToString(callSuper = true)
public class TeamworkInfoCreateVO {

    @Schema(description = "拼团活动明细id", required = true, example = "23010")
    private Long campaignDetailId;

    @Schema(description = "拼团类型：1、发起拼团，2、加入拼团", required = true)
    private Integer teamworkType;

    @Schema(description = "拼团id", required = true)
    private Long teamworkId;

    @Schema(description = "用户id", required = true)
    private Long uid;
}
