package co.yixiang.yshop.module.product.controller.app.campaigninfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.List;

@Schema(description = "用户 APP -营销活动商品列表 Response VO")
@Data
@ToString(callSuper = true)
public class CampaignProductRespVO {

    @Schema(description = "规格id")
    private Long skuId;

    @Schema(description = "商品id")
    private Long id;

    @Schema(description = "规格名")
    private String sku;

    @Schema(description = "商品名称")
    private String storeName;

    @Schema(description = "原价")
    private BigDecimal originalPrice;

    @Schema(description = "当前价")
    private BigDecimal price;

    @Schema(description = "剩余活动库存")
    private Integer stock;

    @Schema(description = "活动总库存")
    private Integer total;

    @Schema(description = "图片")
    private String image;

    @Schema(description = "成团人数")
    private Integer person;
}
