package co.yixiang.yshop.module.product.controller.app.campaigninfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

@Schema(description = "用户 APP -营销活动规格价格列表  VO")
@Data
@ToString(callSuper = true)
public class CampaignSkuVO {

    @Schema(description = "规格唯一值")
    private String productAttrUnique;

    @Schema(description = "当前价")
    private BigDecimal price;

    @Schema(description = "活动剩余库存")
    private Integer stock;

}
