package co.yixiang.yshop.module.product.service.campaigndetail;

import java.util.*;
import javax.validation.*;

import co.yixiang.yshop.module.product.controller.admin.campaigndetail.vo.*;
import co.yixiang.yshop.module.product.dal.dataobject.campaigndetail.CampaignDetailDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 营销活动明细 Service 接口
 *
 * @author moxiangrong
 */
public interface CampaignDetailService {

    /**
     * 通过商品id集合获得营销活动明细列表
     *
     * @param ids 商品id
     * @return 营销活动明细列表
     */
    List<CampaignDetailDO> getCampaignDetailListByProductIds(List<Long> ids);

}
