package co.yixiang.yshop.module.product.service.productcouponrelation.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author moxiangrong
 * @Date 2023/11/13
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CartCouponDTO implements Serializable {

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 商品规格
     */
    private String productAttrUnique;

    /**
     * 商品价格
     */
    private BigDecimal price;

}
