package co.yixiang.yshop.module.shop.controller.admin.canvas.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 画布信息 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class CanvasBaseVO {

    @Schema(description = "名称", required = true, example = "yshop")
    @NotNull(message = "名称不能为空")
    private String name;

    @Schema(description = "画布类型 1-首页 2-我的", required = true)
    @NotNull(message = "画布类型不能为空")
    private Integer type;

    @Schema(description = "状态 0-关闭 1-开启")
    private Integer state;

}
