package co.yixiang.yshop.module.shop.controller.admin.canvas.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 画布分页信息 Response VO")
@Data
@ToString(callSuper = true)
public class CanvasPageRespVO {

    @Schema(description = "画布id", required = true, example = "18674")
    private Long id;

    @Schema(description = "名称", required = true, example = "yshop")
    private String name;

    @Schema(description = "画布类型 1-首页 2-我的", required = true)
    private Integer type;

    @Schema(description = "状态 0-关闭 1-开启")
    private Integer state;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
