package co.yixiang.yshop.module.shop.controller.admin.material.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 素材库更新 Request VO")
@Data
@ToString(callSuper = true)
public class MaterialBatchUpdateGroupReqVO {

    @Schema(description = "编号ids")
    private List<Long> ids;

    @Schema(description = "分组ID")
    private String grouupId;
}
