package co.yixiang.yshop.module.shop.controller.admin.popup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 弹窗 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PopupRespVO extends PopupBaseVO {

    @Schema(description = "弹窗id", required = true, example = "10459")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

}
