package co.yixiang.yshop.module.shop.controller.admin.shop.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 门店 Excel VO
 *
 * @author admin
 */
@Data
public class ShopExcelVO {

    @ExcelProperty("参数主键")
    private Long id;

    @ExcelProperty("门店名称")
    private String storeName;

    @ExcelProperty("门店简介")
    private String storeIntro;

    @ExcelProperty("门店手机")
    private String storePhone;

    @ExcelProperty("门店logo")
    private String iconUrl;

    @ExcelProperty("门店地址")
    private String address;

    @ExcelProperty("精度")
    private Double lon;

    @ExcelProperty("纬度")
    private Double lat;

    @ExcelProperty("核销开始时间")
    private LocalDateTime writeOffStartTime;

    @ExcelProperty("核销结束时间")
    private LocalDateTime writeOffEndTime;

    @ExcelProperty("营业开始时间")
    private String businessStartTime;

    @ExcelProperty("营业结束时间")
    private String businessEndTime;

    @ExcelProperty("状态")
    private Boolean status;

    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
