package co.yixiang.yshop.module.shop.controller.admin.shop.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 门店 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ShopRespVO extends ShopBaseVO {

    @Schema(description = "参数主键", required = true, example = "18600")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

    @Schema(description = "距离 单位:米")
    private Integer distance;

}
