package co.yixiang.yshop.module.shop.controller.app.canvas.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "APP - 画布信息 Request VO")
@Data
@ToString(callSuper = true)
public class CanvasEnableReqVO {

    @Schema(description = "画布类型", required = true, example = "18674")
    private Integer type;

    @Schema(description = "终端类型", required = true, example = "18674")
    private Integer terminal;
}
