package co.yixiang.yshop.module.shop.controller.app.popup.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.time.LocalDateTime;

@Schema(description = "APP - 弹窗信息 Response VO")
@Data
@ToString(callSuper = true)
public class PopupInfoRespVO {


    @Schema(description = "弹窗id", required = true)
    private Long id;

    @Schema(description = "名称", required = true)
    private String name;

    @Schema(description = "开始时间", required = true)
    private LocalDateTime startTime;

    @Schema(description = "结束时间", required = true)
    private LocalDateTime endTime;

    @Schema(description = "弹窗图", required = true)
    private String popupImage;

    @Schema(description = "按钮图", required = true)
    private String buttonImage;

    @Schema(description = "跳转类型：0、不跳转，1、商品，2、分类，3、优惠券，4、小程序", required = true)
    private Integer type;

    @Schema(description = "链接", required = true)
    private String link;
}
