package co.yixiang.yshop.module.member.api.integralRule;

import lombok.Data;
import org.jetbrains.annotations.NotNull;

import java.math.BigDecimal;

/**
 * @author pepis
 * @apiNote
 **/
@Data
public class IntegralRuleDTO {
    /**
     * 类型
     */
    @NotNull
    private String type;
    /**
     * 获取积分
     */
    @NotNull
    private Integer integral;

    /**
     * 拓展字段
     */
    private String attribute1;

    /**
     * 消费金额
     */
    private BigDecimal consumeAmount;

    /**
     * 操作用户
     */
    private Long userId;

    /**
     * 是否开启
     */
    private Boolean enable;

    public IntegralRuleDTO() {
    }
}
