package co.yixiang.yshop.module.member.controller.admin.burypoint.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 埋点更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BuryPointUpdateReqVO extends BuryPointBaseVO {

    @Schema(description = "主键", required = true, example = "28996")
    @NotNull(message = "主键不能为空")
    private Long id;

}
