package co.yixiang.yshop.module.member.controller.admin.integralrule.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 会员积分规则 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class IntegralRuleBaseVO {

    @Schema(description = "类型", required = true, example = "1")
    @NotNull(message = "类型不能为空")
    private String type;

    @Schema(description = "类型名称", example = "yshop")
    private String typeName;

    @Schema(description = "获取积分")
    private Integer integral;

    @Schema(description = "拓展字段")
    private String attribute1;

    @Schema(description = "图标")
    private String iconUrl;

    @Schema(description = "是否开启")
    private Boolean enable;


}
