package co.yixiang.yshop.module.member.controller.admin.signinrecord.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 签到记录 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class SignInRecordBaseVO {

    @Schema(description = "会员ID", example = "10758")
    private Long userId;

    @Schema(description = "积分")
    private BigDecimal integral;

}
