package co.yixiang.yshop.module.member.controller.admin.signinrecord.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 签到记录更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SignInRecordUpdateReqVO extends SignInRecordBaseVO {

    @Schema(description = "参数主键", required = true, example = "25392")
    @NotNull(message = "参数主键不能为空")
    private Long id;

}
