package co.yixiang.yshop.module.member.controller.admin.useraddress.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 用户地址更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserAddressUpdateReqVO extends UserAddressBaseVO {

    @Schema(description = "用户地址id", requiredMode = Schema.RequiredMode.REQUIRED, example = "24169")
    @NotNull(message = "用户地址id不能为空")
    private Long id;

}
