package co.yixiang.yshop.module.member.controller.admin.userinvitelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 邀请日志 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class UserInviteLogBaseVO {

    @Schema(description = "邀请用户id", required = true, example = "19165")
    @NotNull(message = "邀请用户id不能为空")
    private Long userId;

    @Schema(description = "被邀请用户id", required = true, example = "8214")
    @NotNull(message = "被邀请用户id不能为空")
    private Long beInviteUserId;

}
