package co.yixiang.yshop.module.member.controller.admin.userinvitelog.vo;

import lombok.*;

import java.util.*;

import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 邀请日志 Excel 导出 Request VO，参数和 UserInviteLogPageReqVO 是一致的")
@Data
public class UserInviteLogExportReqVO {

    @Schema(description = "邀请用户id", example = "19165")
    private Long userId;

    @Schema(description = "被邀请用户id", example = "8214")
    private Long beInviteUserId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
