package co.yixiang.yshop.module.member.controller.admin.userinvitelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 邀请日志更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserInviteLogUpdateReqVO extends UserInviteLogBaseVO {

    @Schema(description = "评论ID", required = true, example = "12248")
    @NotNull(message = "评论ID不能为空")
    private Long id;

}
