package co.yixiang.yshop.module.member.controller.admin.userlevelconfig.vo;

import co.yixiang.yshop.module.member.controller.admin.userlevelequityref.vo.UserLevelEquityRefCreateReqVO;
import co.yixiang.yshop.module.member.controller.admin.userlevelequityref.vo.UserLevelEquityRefRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 会员等级配置 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserLevelConfigRespVO extends UserLevelConfigBaseVO {

    @Schema(description = "参数主键", required = true, example = "18027")
    private Long id;

    @Schema(description = "创建时间", required = true)
    private LocalDateTime createTime;

    @Schema(description = "权益值列表")
    private List<UserLevelEquityRefRespVO> levelEquityList;


}
