package co.yixiang.yshop.module.member.controller.admin.userlevelequity.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 会员等级权益配置 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class UserLevelEquityBaseVO {

    @Schema(description = "权益类型", example = "1")
    private String type;

    @Schema(description = "类型名称", example = "张三")
    private String typeName;


    @Schema(description = "图标", example = "https://www.yixiang.co")
    private String iconUrl;

    @Schema(description = "权益值")
    private Long equityValue;

    @Schema(description = "说明")
    private String remarks;
}
