package co.yixiang.yshop.module.member.controller.admin.userlevelgrowthvalueconfig.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 会员成长任务配置 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class UserLevelGrowthValueConfigBaseVO {

    @Schema(description = "成长任务类型", example = "2")
    private String type;

    @Schema(description = "类型名称", example = "王五")
    private String typeName;

    @Schema(description = "成长值")
    private Integer growthValue;

    @Schema(description = "图标")
    private String iconUrl;

}
