package co.yixiang.yshop.module.member.controller.admin.usertag.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
 * 会员标签 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class UserTagBaseVO {

    @Schema(description = "标签名称", example = "yshop")
    private String tagName;

    @Schema(description = "分组ID", example = "14361")
    private Long groupId;

}
