package co.yixiang.yshop.module.member.dal.dataobject.userlevelequityref;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 会员等级权益中间 DO
 *
 * @author admin
 */
@TableName("yshop_user_level_equity_ref")
@KeySequence("yshop_user_level_equity_ref_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserLevelEquityRefDO extends BaseDO {

    /**
     * 参数主键
     */
    @TableId
    private Long id;
    /**
     * 等级ID
     */
    private Long levelId;
    /**
     * 权益ID
     */
    private Long equityId;

    /**
     * 权益值
     */
    private Long equityValue;

}
