package co.yixiang.yshop.module.member.dal.dataobject.usertaggroup;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import co.yixiang.yshop.framework.mybatis.core.dataobject.BaseDO;

/**
 * 会员标签分组 DO
 *
 * @author admin
 */
@TableName("yshop_user_tag_group")
@KeySequence("yshop_user_tag_group_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserTagGroupDO extends BaseDO {

    /**
     * 用户id
     */
    @TableId
    private Long id;
    /**
     * 分组名称
     */
    private String groupName;
    /**
     * 排序
     */
    private Integer sorted;

}
