package co.yixiang.yshop.module.message.mq.message;

import co.yixiang.yshop.framework.mq.core.stream.AbstractStreamMessage;
import lombok.Data;

@Data
public class WeixinNoticeMessage extends AbstractStreamMessage {

    /**
     * 模板编号
     */
    private String tempkey;

    //消息类型
    private String type;

    //订单好
    private String orderId;

    //价格
    private String price;

    //用户
    private Long uid;

    //时间
    private String time;

    // 快递公司
    private String deliveryName;

    // 快递单号
    private String deliveryId;


    @Override
    public String getStreamKey() {
        return "weixin.msg.notice";
    }
}
