package co.yixiang.yshop.module.pay.controller.admin.merchantdetails.vo;

import co.yixiang.yshop.module.pay.dal.dataobject.merchantdetails.MerchantDetailsDO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(callSuper = true)
public class PayParam {
    /***
     * 商户订单号
     */
    String orderId;

    /***
     * 订单金额
     */
    BigDecimal money;

    /***
     * 用户openid
     */
    String openId;

    String ip;

    /***
     * 支付类型 app h5 applet
     */
    String type;

    String payDesc;

    MerchantDetailsDO merchantDetailsDO;

    private Long uid;

    String redirectType;
}
