package co.yixiang.yshop.module.pay.strategy;

/**
 * 获取支付方式工厂
 */
public interface PayClientFactory {

    /**
     * 获取支付客户端
     *
     * @param payType 支付类型
     * @return 支付客户端
     */
    PayClient getClient(String payType);

}
